AlmaLinux 2226 Published by

A webkit2gtk3 security update has been released for AlmaLinux 8.



ALSA-2023:4202 Important: webkit2gtk3 security update


Type:
security

Severity:
important

Release date:
2023-07-19

Description
Security Fix(es):
* webkitgtk: memory corruption issue leading to arbitrary code execution (CVE-2023-32435)
* webkitgtk: type confusion issue leading to arbitrary code execution (CVE-2023-32439)
For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

References:
CVE-2023-32435
CVE-2023-32439
RHSA-2023:4202
ALSA-2023:4202

Updates packages:
webkit2gtk3-devel-2.38.5-1.el8_8.5.alma.ppc64le.rpm
webkit2gtk3-2.38.5-1.el8_8.5.alma.s390x.rpm
webkit2gtk3-jsc-2.38.5-1.el8_8.5.alma.x86_64.rpm
webkit2gtk3-devel-2.38.5-1.el8_8.5.alma.x86_64.rpm
webkit2gtk3-jsc-2.38.5-1.el8_8.5.alma.i686.rpm
webkit2gtk3-devel-2.38.5-1.el8_8.5.alma.i686.rpm
webkit2gtk3-2.38.5-1.el8_8.5.alma.x86_64.rpm
webkit2gtk3-jsc-devel-2.38.5-1.el8_8.5.alma.aarch64.rpm
webkit2gtk3-jsc-devel-2.38.5-1.el8_8.5.alma.ppc64le.rpm
webkit2gtk3-2.38.5-1.el8_8.5.alma.i686.rpm
webkit2gtk3-jsc-devel-2.38.5-1.el8_8.5.alma.x86_64.rpm
webkit2gtk3-jsc-2.38.5-1.el8_8.5.alma.aarch64.rpm
webkit2gtk3-jsc-2.38.5-1.el8_8.5.alma.s390x.rpm
webkit2gtk3-jsc-devel-2.38.5-1.el8_8.5.alma.s390x.rpm
webkit2gtk3-devel-2.38.5-1.el8_8.5.alma.s390x.rpm
webkit2gtk3-devel-2.38.5-1.el8_8.5.alma.aarch64.rpm
webkit2gtk3-jsc-devel-2.38.5-1.el8_8.5.alma.i686.rpm
webkit2gtk3-2.38.5-1.el8_8.5.alma.ppc64le.rpm
webkit2gtk3-2.38.5-1.el8_8.5.alma.aarch64.rpm
webkit2gtk3-jsc-2.38.5-1.el8_8.5.alma.ppc64le.rpm

Notes:
This page is generated automatically from Red Hat security data and has not been checked for errors. For clarification or corrections please contact the AlmaLinux Packaging Team.

  ALSA-2023:4202 Important: webkit2gtk3 security update